title: Rename Connection keywords:
- rename connection
- patch
- rename
- connection
Rename a user's connection/credential.
PATCHhttps://api.aitronos.com/v1/personal-connectors/connections/{credential_id}
credential_id string required
The credential id parameter.
organization_id string required
Organization ID
credential_name string required
New name for the credential
id string
Connection/credential ID
credential_name string
Updated credential name
display_name string
Updated display name
cURL
- Bash
- Python
- JavaScript
curl -X PATCH "https://api.aitronos.com/v1/personal-connectors/connections/{credential_id}" \
-H "X-API-Key: $FREDDY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"credential_name": "your_credential_name"
}'Response:
200 OK
{
"id": "conn_abc123def456",
"credential_name": "example_credential_name",
"display_name": "My Resource"
}